org.eclipse.microprofile.context.tck.contexts.buffer.spi

## Class BufferContextProvider

- java.lang.Object
- - org.eclipse.microprofile.context.tck.contexts.buffer.spi.BufferContextProvider

All Implemented Interfaces:
  ThreadContextProvider

    public class BufferContextProvider
    extends Object
    implements ThreadContextProvider

This is a fake context type that is created by the test suite. It associates a StringBuffer with the current thread, accessible via the static get/set operations of the BufferContext class.

### Constructor Summary

Constructors
Constructor and Description
`BufferContextProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ThreadContextSnapshot` `clearedContext(Map<String,String> props)` Buffer context is considered cleared by associating a new empty StringBuffer with the thread.
`ThreadContextSnapshot` `currentContext(Map<String,String> props)` Save the buffer instance that is associated with the current thread.
`String` `getThreadContextType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BufferContextProvider

    public BufferContextProvider()

### Method Detail

#### clearedContext

    public ThreadContextSnapshot clearedContext(Map<String,String> props)

Buffer context is considered cleared by associating a new empty StringBuffer with the thread.

Specified by:
  `clearedContext` in interface `ThreadContextProvider`

#### currentContext

    public ThreadContextSnapshot currentContext(Map<String,String> props)

Save the buffer instance that is associated with the current thread.

Specified by:
  `currentContext` in interface `ThreadContextProvider`

#### getThreadContextType

    public String getThreadContextType()

Specified by:
  `getThreadContextType` in interface `ThreadContextProvider`